from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from core.database import get_db
from schemas.user import UserPlanSchema
from helpers.user_helpers import get_user_plan

router = APIRouter()

@router.get("/user/plan", response_model=UserPlanSchema)
async def get_user_plan_endpoint(db: Session = Depends(get_db)):
    return get_user_plan(db)